package ervu_business_metrics.model.sso;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import ervu_business_metrics.model.ReferenceEntity;
import ervu_business_metrics.deserializer.ReferenceEntityDeserializer;


/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class UserAccount {
  private String id;
  @JsonDeserialize(using = ReferenceEntityDeserializer.class)
  private ReferenceEntity domain;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public ReferenceEntity getDomain() {
    return domain;
  }

  public void setDomain(ReferenceEntity domain) {
    this.domain = domain;
  }
}
